Bug 1005518 - Review Request: junicode-fonts - Unicode font for medievalists
Review Request: junicode-fonts - Unicode font for medievalists
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2013-09-07 19:36 EDT by Sean Burke
Modified: 2015-08-16 02:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-16 02:57:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Burke 2013-09-07 19:36:37 EDT
Spec URL: http://leftmostcat.fedorapeople.org/junicode-fonts.spec
SRPM URL: http://leftmostcat.fedorapeople.org/junicode-fonts-0.7.8-1.fc19.src.rpm
Description: A serif font with broad Unicode coverage for medievalists
Fedora Account System Username: leftmostcat
Comment 1 Christopher Meng 2013-09-07 21:55:48 EDT
1. Remove rm -fr %{buildroot} in %install

2. Remove %clean section

3. Make should be with smp flags if possible.(parallel build)
Comment 2 Sean Burke 2013-09-07 22:56:49 EDT
I have updated the spec and SRPM accordingly. I have also uploaded a patch, available at http://leftmostcat.fedorapeople.org/junicode-0.7.8-fix-font-path.patch, which fixes some issues in the build that I had missed earlier.
Comment 3 Jamie Nguyen 2013-09-09 07:05:12 EDT
Hi Sean! DISCLAIMER: I'm not a sponsor.

It's good practice to bump the Release tag and add a new %changelog entry when fixing things in your spec/srpm, and then post new links to your spec/srpm. Reviewers can then compare junicode-fonts-0.7.8-1 and junicode-fonts-0.7.8-2, or glance at %changelog to see how the spec has progressed.

I'm not that familiar with font packaging, but the package looks good to me. 

rpmlint returns no warnings:

  $ rpmlint *.rpm
  2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Metadata appears correct:

  https://fedoraproject.org/wiki/Packaging:FontsPolicy#Licensing_Information_in_Metadata

Good luck finding a sponsor!
Comment 4 Sean Burke 2013-09-09 11:31:52 EDT
Thank you for the feedback. If desired, I can return the linked files to the first revision and provide new links for the new versions.
Comment 5 Christopher Meng 2013-12-05 03:05:30 EST
Have you found a sponsor yet?
Comment 6 Paul Flo Williams 2013-12-05 10:25:20 EST
Please consider adding

BuildRequires: ttfautohint

The Makefile looks for this but doesn't complain if it isn't found.
Comment 7 Christopher Meng 2014-02-20 03:46:03 EST
Hi,

Any news here?

Thanks.
Comment 8 Sean Burke 2014-02-21 01:07:27 EST
I've updated the spec to require ttfautohint and to fix the build when it is used, as its options have changed since the Makefile was last updated.

Spec URL: http://leftmostcat.fedorapeople.org/junicode-fonts.spec
SRPM URL: http://leftmostcat.fedorapeople.org/junicode-fonts-0.7.8-2.fc20.src.rpm

I have not yet found a sponsor. I will attempt to do so.
Comment 9 Christopher Meng 2014-02-21 01:14:54 EST
Yes, I hope you can find a sponsor quickly:

https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group
Comment 10 Parag AN(पराग) 2015-07-22 04:18:32 EDT
I have not see any activity by the submitter using his FAS in datagrepper output in Fedora project.

Sean,
 you still want to continue packaging of this?

Note You need to log in before you can comment on or make changes to this bug.